`lqr_carver_set_progress`
Prev | Carver objects | Next

## Name

lqr_carver_set_progress — set the progress report function for an `LqrCarver` object

## Synopsis

    #include <lqr.h>

`void lqr_carver_set_progress(` | LqrCarver* carver,
| LqrProgress* p`)`;

## Description

The function `lqr_carver_set_progress` associates the progress indicator pointed to by `progress` to the `LqrCarver` object pointed to by `carver`. Progress indicators objects are created with the function `lqr_progress_new`(3).

By default, no progress indicator is used.

## See also

`lqr_progress_new`(3), `lqr_carver_set_enl_step`(3), `lqr_carver_set_resize_order`(3), `lqr_carver_set_dump_vmaps`(3), `lqr_carver_set_side_switch_frequency`(3), `lqr_carver_set_preserve_input_image`(3), `lqr_carver_set_use_cache`(3)

Prev | Up | Next
`lqr_carver_set_side_switch_frequency` | Home | `lqr_carver_set_preserve_input_image`